<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCallerFilterListMember StructType
 * @subpackage Structs
 */
class RCallerFilterListMember extends AbstractStructBase
{
    /**
     * The DnMask
     * Meta information extracted from the WSDL
     * - documentation: Mandatory when "callerFilterMask" has value as Directory Number
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $DnMask;
    /**
     * The callerFilterMask
     * Meta information extracted from the WSDL
     * - documentation: Mandatory when value is a directory number
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $callerFilterMask;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCallerFilterListMember
     * @uses RCallerFilterListMember::setDnMask()
     * @uses RCallerFilterListMember::setCallerFilterMask()
     * @uses RCallerFilterListMember::setUuid()
     * @param string $dnMask
     * @param string $callerFilterMask
     * @param string $uuid
     */
    public function __construct($dnMask = null, $callerFilterMask = null, $uuid = null)
    {
        $this
            ->setDnMask($dnMask)
            ->setCallerFilterMask($callerFilterMask)
            ->setUuid($uuid);
    }
    /**
     * Get DnMask value
     * @return string|null
     */
    public function getDnMask()
    {
        return $this->DnMask;
    }
    /**
     * Set DnMask value
     * @param string $dnMask
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterListMember
     */
    public function setDnMask($dnMask = null)
    {
        $this->DnMask = $dnMask;
        return $this;
    }
    /**
     * Get callerFilterMask value
     * @return string|null
     */
    public function getCallerFilterMask()
    {
        return $this->callerFilterMask;
    }
    /**
     * Set callerFilterMask value
     * @param string $callerFilterMask
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterListMember
     */
    public function setCallerFilterMask($callerFilterMask = null)
    {
        $this->callerFilterMask = $callerFilterMask;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterListMember
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
